Gets a list of inventory Activity
curl --request GET \
--url https://api.example.com/api/v1/Inventories/Activity \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/Inventories/Activity"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/Inventories/Activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": [
{
"supplierId": "<string>",
"accountNumber": "<string>",
"warehouseCode": "<string>",
"warehouseName": "<string>",
"subInventoryCode": "<string>",
"subInventoryName": "<string>",
"sku": "<string>",
"description": "<string>",
"wineDirectSku": "<string>",
"skuType": "<string>",
"beginningOnHand": 123,
"endingOnHand": 123,
"qtyReceived": 123,
"qtyTransferredIn": 123,
"qtyTransferredOut": 123,
"qtyMovedIn": 123,
"qtyMovedOut": 123,
"qtyShipped": 123,
"qtyAdjusted": 123,
"qtyDamaged": 123,
"qtyReturned": 123,
"qtyKitted": 123,
"qtyOther": 123
}
]
}Gets a list of inventory Activity
GET
/
api
/
v1
/
Inventories
/
Activity
Gets a list of inventory Activity
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Query Parameters
SupplierId is the unique ID for the owner of items in the system
Minimum string length:
2The warehouse (Code)
"GLW" - Glenwillow, "WDI" - Green Island, "PSO" - Paso Robles, "SMA" - Santa Maria, "SHW" - Willamette Valley "DAL" - Dallas
The Sub Inventory this inventory is in (Code)
The beginning date of the search range
YYYY-MM-DD
The ending date of the search range
YYYY-MM-DD
The SKU of the customer
Restrict the search to those with activity only
Defaults to True: Only include inventory with activity
Response
200 - application/json
Returns the list of inventory activity
Was this page helpful?